Kako instalirati AceStream na Linux i ne umrijeti pokušavajući

Oni koji volimo sport i nemamo pristup svim trenutnim sportskim kanalima, uglavnom se suočavamo s problemom da bismo uživali u njemu morali koristiti razne stranice koje emitiraju internetske utakmice, većina ih traži instalirajte AceStream, koji je obično malo složen za instaliranje na Linux.

U ovom ćemo vodiču naučiti kako instalirajte AceStream na Linux bez umiranja u pokušaju, pružajući rješenja za najčešće probleme danas. Njegova upotreba i sadržaj kojem pristupate vaša je ukupna odgovornost.

Što je AceStream?

AceStream je multimedijska platforma prilično inovativan, koji je reprodukciju audiovizualnih materijala na Internetu podigao na višu razinu. Za to je implementirao univerzalni upravitelj za učitavanje multimedijskih datoteka koji koristi najnaprednije P2P tehnologije, jamčeći učinkovit postupak pohrane i prijenosa podataka.

Softver Ace Stream nudi nam niz pogodnosti u kojima možemo istaknuti:

  • Mogućnost gledanja internetskih emisija (TV, personalizirani streamovi, filmovi, crtići itd.), Uz visoku kvalitetu zvuka i slike.
  • Slušajte glazbu na mreži u formatu koji ne gubi nikakvu kvalitetu.
  • Pregledajte bujice na mreži, bez potrebe da čekate da se u potpunosti preuzmu.
  • Pregledajte sadržaj na udaljenim uređajima (Apple TV, Chromecast itd.) Putem komunikacijskih protokola kao što su AirPlay, Google Cast i drugi.
  • Omogućuje integraciju s raznim aplikacijama. Instalirajte AceStream na Linux

Kako instalirati AceStream na Linux

Da bismo instalirali AceStream na Linux, moramo slijediti razne korake, ovisno o distro-u koji koristite, usredotočit ćemo se na Arch Linux i Ubuntu, ali nadamo se da ćemo ga u budućnosti moći instalirati i na druge distro-ove.

Instalirajte AceStream na Arch Linux i derivate

Glavni razlog zbog kojeg sam izradio ovaj članak je taj što su mnogi imali problema s instaliranjem AceStreama na Arch Linux, Antergos, Manjaros i derivate, glavni uzrok je taj što je pkg build dodatka acestream-mozilla-plugin Daje pogrešku prilikom instalacije, rješenje je izuzetno jednostavno.

Instalirat ćemo acestream-mozilla-plugin koja će nas također instalirati acestream-motor y acestream-igrač-podaci koji su paketi potrebni za reprodukciju AceStream iz firefoxa.

Prije svega moramo otvoriti terminal i izvršiti sljedeću naredbu:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Riješit će problem s verifikacijom koji sprečava instaliranje ovisnosti koja je potrebna za instalaciju acestream-mozilla-plugin.

Tada izvršavamo sljedeću naredbu

yaourt -S acestream-mozilla-plugin

U ponovljenim prilikama bit će upitani želimo li instalirati razne ovisnosti, moramo svima reći da.

Instalirajte AceStream na Ubuntu i derivate

Instalirajte AceStream na Ubuntu 14.04 i derivate

Za korisnike ubuntu-a i izvedenica do verzije 14.04 instalacija AceStreama bit će prilično jednostavna, samo moraju izvršiti sljedeće naredbe s terminala:

odjek 'deb http://repo.acestream.org/ubuntu/ pouzdan glavni' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key dodaj - sudo apt-get update sudo apt-get install acestream-full

Instalirajte AceStream na Ubuntu 16.04 i derivate

Oni koji će se morati malo više boriti su korisnici Ubuntu 16.04 i derivata, jer acestream nema podršku za ovu verziju, ali zahvaljujući tome artículo, Uspio sam ga instalirati.

Prvo što ćemo učiniti je preuzeti i instalirati neke ovisnosti koje nećete moći preuzeti iz službenih spremišta, pazite da instalirate odgovarajuće za arhitekturu vašeg distroa:

64-bitna arhitektura:

  1. Preuzmite i instalirajte libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb to možete učiniti na sljedećem linku: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Preuzmite i instalirajte redom prikazanim sljedećim ovisnostima:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Možete preuzeti svaki sa sljedećeg linka: https://drive.google.com/folderview?id= … e_web#list

32-bitna arhitektura:

  1. Preuzmite i instalirajte libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb to možete učiniti na sljedećem linku: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Preuzmite i instalirajte redom prikazanim sljedećim ovisnostima: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Možete preuzeti svaki sa sljedećeg linka: https://drive.google.com/folderview?id= … e_web#list

Dalje moramo nastaviti s uobičajenom instalacijom AceStreama kao što smo to učinili za verziju 14.04, otvoriti terminal i izvršiti:

odjek 'deb http://repo.acestream.org/ubuntu/ pouzdan glavni' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key dodaj - sudo apt-get update sudo apt-get install acestream-full

U nekim je slučajevima potrebno pokrenuti uslugu acestream-engine.service, za to iz terminala izvršavamo sljedeće naredbe:

systemctl start acestream-engine.service systemctl omogućiti acestream-engine.service

Uz ovaj vodič, nadamo se da ćete uživati ​​u ovom sjajnom protokolu za multimedijski prijenos koji koristi sav kapacitet P2P tehnologije.


Sadržaj članka pridržava se naših načela urednička etika. Da biste prijavili pogrešku, kliknite ovdje.

41 komentara, ostavi svoj

Ostavite svoj komentar

Vaša email adresa neće biti objavljen. Obavezna polja su označena s *

*

*

  1. Za podatke odgovoran: Miguel Ángel Gatón
  2. Svrha podataka: Kontrola neželjene pošte, upravljanje komentarima.
  3. Legitimacija: Vaš pristanak
  4. Komunikacija podataka: Podaci se neće dostavljati trećim stranama, osim po zakonskoj obvezi.
  5. Pohrana podataka: Baza podataka koju hostira Occentus Networks (EU)
  6. Prava: U bilo kojem trenutku možete ograničiti, oporaviti i izbrisati svoje podatke.

  1.   Julio Cesar Campos dijo

    Pa post, ali barem u Archlinuksu i ovo je bio moj slučaj koji vam treba: "systemctl start acestream-engine.service" i "systemctl enable acestream-engine.service" da bi to moglo raditi.

    1.    gušter dijo

      Jeste li ga testirali iz firefoxa ili ste koristili neki drugi preglednik?

  2.   UserDebian dijo

    Zna li netko kako to natjerati da radi na Debianu 9?

  3.   Julio Cesar Campos dijo

    Firefox na archlinuxu

  4.   gecoxx dijo

    Ne znam je li objavljen moj prethodni komentar ... Ponavljam! Potrebno je ne znam koliko sati izvršenja proklete naredbe u terminalu i da sam stavio –noconfirm, a na kraju to ne funkcionira !!
    još jedan post koji je beskoristan!

    pokušaj instalacije na Manjaru

    1.    gušter dijo

      Poštovani što nije uspjelo za vas, savršeno je funkcioniralo za mene, u svakom slučaju pokušajte izvršiti ove dvije naredbe:
      "Systemctl start acestream-engine.service" i "systemctl enable acestream-engine.service"

  5.   José dijo

    dobro

    Uspio sam napraviti sve korake bez problema. Ali pri pokušaju pokretanja usluge s terminala, došlo mi je do dva neuspjeha;
    systemctl pokrenuti acestream-engine.usluga
    Pokretanje usluge acestream-engine.service nije uspjelo: jedinica acestream-engine.service nije pronađena.
    systemctl omogućiti acestream-engine.service
    Izvršenje operacije nije uspjelo: Nema takve datoteke ili direktorija

    1.    Gustavo dijo

      Potpuno isto se dogodilo i meni. terminal mi te naredbe odbija s tim kvarovima.

  6.   Juan M dijo

    Puno hvala na postu! Ako koristite Ubuntu 16.10 64 bita, nećete moći instalirati "acestream-player-data_3.0.2-1.1_amd64.deb". Prvo moraju preuzeti i instalirati ove pakete:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Vjerojatno je potrebna neka druga ovisnost koja je u repos-ovima.
    Pozdrav!

  7.   Miles dijo

    Dobro.
    Dodatak acestream-mozilla-prestao je raditi u Firefoxu 52, kao i mnogi drugi NPAPI dodaci.

  8.   darko dijo

    Još jedna vrlo dobra i jednostavna opcija je korištenje dockera i postajanje agnostikom vašeg operativnog sustava. Korištenjem aceproxy-a možete ga reproducirati-

    Napisao sam mali tutorial i skriptu kako bih olakšao izvršenje.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martin dijo

    Kako ih instalirate u dijelu instalacije s Ubuntu 16.04, kada kažete da preuzmete i instalirate te datoteke? Kad ih preuzmem i izdvojim, neke su samo datoteke libreoffice, a druge, ne znam kako ih "instalirati".
    Hvala unaprijed i pozdrav.
    David.

  10.   vafe dijo

    Ili tipke ne rade ponovo ili postoji neka pogreška u paketima, ali u arch i manjaro je nemoguće instalirati.
    Kada pokušavate instalirati ovisnost (qwebquit) ili nešto slično, ona prelazi u petlju i nema načina.
    Je li netko pronašao rješenje?
    hvala

    1.    Aleksandar dijo

      Pozdrav, za instalaciju u arch linux morate učiniti sljedeće:
      -Instalirajte paket 'acestream-launcher' s yaourt s 'yaourt -S acestream-launcher' (paket koji ćemo omogućiti u nastavku automatski se preuzima na vas)
      -Omogućite uslugu acestream-engine.service, ulazimo u terminal i u ROOT načinu stavljamo sljedeće
      -systemctl start acestream-engine.service
      -systemctl omogućiti acestream-engine.service
      Nakon toga sam ponovno pokrenuo opremu, ne znam hoće li to biti potrebno, ali za svaki slučaj
      -To bi trebalo biti dovoljno, ali u posljednjim ažuriranjima Archa nešto su zeznuli i to ne radi, pa su tražili privremeno rješenje, a to je preuzimanje datoteke, to je sljedeće:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      izvor: https://aur.archlinux.org/packages/acestream-launcher/ (na komentare)
      nakon preuzimanja idemo na terminal i idemo u mapu u koju smo ga preuzeli,
      Nastavljamo ga instalirati sa 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' i to je to, trebalo bi ići, prvi put nikad ne ide pa kliknem drugi put, prvi put uvijek daje pogrešku, to je sve

      PS: pojasnite da je sudo pacman -U, a ne -S jer je to lokalni paket dobiven iz makepkg

      1.    vafe dijo

        Puno vam hvala na zanimanju.
        Pokušao sam toliko puta da već znam napamet ovisnosti i komentare paketa prilikom instaliranja s yaourtom. Slijedit ću vaš savjet s pokretačem i provjeriti imam li sreće. Reći ću ti.
        Ponavljam svoju zahvalnost

        Felipe

        1.    vafe dijo

          Na ovaj ili onaj način ne ide. Pokušao sam s vezom koju ste stavili u komentare, ali to ne rješava, prepoznaje vezu, daje mi mogućnost odabira programa, odabirem acestream-launcher, ali VLC se ne otvara.
          U konzoli mi daje sljedeći odgovor.

          Datoteka «/usr/lib/python3.6/site-packages/psutil/init.py », redak 1231, u _send_signal
          os.kill (self.pid, sig)

          Morat ćemo pričekati nova ažuriranja.
          Hvala na pomoći.

  11.   vafe dijo

    Nakon novog ažuriranja, odgovor u konzoli je sljedeći.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Acestream motor radi.
    2017 07: 28: 18 | MainThread | acestream | pogreška tijekom pokretanja
    Traceback (najnoviji zadnji poziv):
    Datoteka «core.c», redak 1590, u
    Datoteka «core.c», redak 144, u
    Datoteka «core.c», redak 2, u
    ImportError: nije moguće uvesti ime __m2crypto
    Pogreška prilikom autentifikacije za Acestream!
    Media Player nije pokrenut ...

    Poboljšavamo se, sada prepoznaje acestream, ali libcrypto se nastavlja boriti.

    1.    vafe dijo

      Pokušao sam s instalacijom paketa koji preporučate na linku koji ste mi poslali.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      I učinkovito rješava problem, vlc se otvara i Acestream radi.
      Puno ti hvala na pomoći-

      1.    Aleksandar dijo

        Pozdrav, oprostite na kašnjenju, bilo je vrlo čudno što vam nije uspjelo kad jest, ja sam u Arch plazmi, drago mi je da vam je pomoglo, za to smo i mi

        U drugoj distribuciji koju imam, a to je Fedora, ono što imam je Wine emulirajući acestream za Windows xD, u slučaju da odete u drugu distribuciju ili u isti Arch, ono što me iznenađuje je da ni u Debianu nemaju ove pakete ...

      2.    proizvođač delicija01 dijo

        Pozdrav, datoteka je kako se instalira. Ja sam još uvijek novajlija, pozdrav

        1.    vafe dijo

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          To stavlja u gornji komentar

  12.   chemabi dijo

    Jučer sam ga instalirao kao snap paket u Kde Neon 5.8 i bio sam zapanjen koliko mi je jednostavno i brzo to uspjelo. Bilo bi lijepo ako ažurirate članak jer nema usporedbe, postupak je mnogo pojednostavljen.

    sudo apt install snapd → instaliraj sustav upravljanja snap paketom (ako ga nemaš instaliran)
    snap find acestream → kako bismo provjerili imamo li program u spremištima (trebali bi ga imati svi derivati ​​ubuntua)
    sudo snap instalirati acestreamplayer

    pozdravi

    1.    Antonio Manzano dijo

      U pravu si. Upravo sam ga instalirao u kubuntu 17.10, jer je metoda koja se ovdje pojavljuje potpuno neizvediva.

      1.    Tata dijo

        ne vrijedi za arhitekturu i386

    2.    sie9k dijo

      To je bio jedini način da je mogu instalirati na Lubuntu 16.04.4, ali ne postoji način da spremim konfiguracijsku datoteku i moram konfigurirati parametar da radi zajedno sa Serviiom. Imate li ideja da to popravite?

  13.   José Antonio dijo

    Vrlo dobar post. Web stranica koju moraju pročitati Linux početnici.

  14.   peter novak dijo

    Kako biste ga instalirali za AntiX 16 (to je linux distribucija)?

    Pokušao sam poput Arch Linuxa i izvedenica, ali takav sam novak da moram pogrešno shvatiti

  15.   Aleksandar dijo

    Pozdrav, s paketima sna, koje kolega gore komentira u komentaru, postalo je lakše ne samo za ove distribucije već i za mnoge. Ovdje su distribucije kompatibilne s ovim paketima:
    https://snapcraft.io/

    U Debianu bi to bilo sljedeće:
    -sudo apt instalirati snapd
    -sudo snap instalacijska jezgra
    -sudo snap instalirati acestreamplayer
    U Arch i izvedenice:
    -sudo pacman -S snapd
    -sudo systemctl omogućiti –sada snapd.socket
    -sudo snap instalirati acestreamplayer

    U Archu (plazma) morao sam se ponovno pokrenuti tako da se pojave instalirani paketi, ako se ne pojavi već znate što treba učiniti.

    Na ubuntuu i izvedenicama pretpostavljam da će biti poput partnera koji ga je gore instalirao u komentarima s KDE neonom.

    Zanimljivo je da u Gnomu s Debianom izgleda prilično ružno i da se ne integrira dobro s GTK, ali u Arch plazmi se prilično dobro integrira, važno je da se to vidi izvan estetike.

    1.    Vilijam dijo

      instalira li vam ovo acestream motor?
      Nisam ja

      1.    Aleksandar dijo

        Pozdrav, ne, ne instalira ga niti treba, jer sa snap paketima već dolaze sve pokrivene ovisnosti, to mora raditi da ili da.

    2.    txuber dijo

      Bok Alejandro, vidi možeš li mi pomoći
      [txuber @ manjaro ~] $ sudo systemctl enable –now snapd.socket
      Omogućavanje jedinice nije uspjelo: Datoteka jedinice \ xe2 \ x80 \ x93now.service ne postoji.
      na manjaru Manjaro XFCE Edition (17.0.4) x64

      1.    Aleksandar dijo

        Pozdrav, Manjaro je da nije čisti Arch i da se stvari mogu malo promijeniti, možda je već omogućeno i nije potrebno to činiti, pretpostavljam da ste već pokušali preskočiti taj korak ...

  16.   Debian dijo

    Jednom instalirano što učiniti? Budući da ace-player nije instaliran, ne znam kako to učiniti.
    Neka mi netko pomogne?

    1.    vafe dijo

      Ako je ono što ste instalirali acestream-pokretač, kada kliknete na vezu acestream će vas pitati s kojom aplikacijom želite otvoriti vezu, to mu kažete s VLC-om, a ovaj će raditi funkcije ace-playera

      1.    Debian dijo

        Bok. Prije svega, veliko hvala na vašoj pomoći. Komentiram. Instalirao sam acestream snap paket na Debian 9 s gnomom. Kad sam u arenavisión-u, zbog čega to želim, kliknem vezu acestream i pojavit će se prozor koji mi daje dvije mogućnosti, prva je acestreamengine da ako kliknem na to ništa ne radi, a druga je odabir druge aplikacije, dat ću je za odabir, ali instalirane aplikacije se ne otvaraju, otvara se moja početna mapa, pa ne znam kako odabrati vlc.

        Pozdrav.

        1.    Aleksandar dijo

          S acestream-launcherom ne ide baš najbolje, bolje instalirajte s paketom Snap kako sam objasnio u svom komentaru iznad.

  17.   peter novak dijo

    Pokušavam instalirati snapd paket, ali to mi ne dopušta:

    sudo apt instalirajte snapd
    Čitanje popisa paketa ... Gotovo
    Stvaranje stabla ovisnosti
    Čitanje podataka o statusu ... Gotovo
    E: Snapd paket nije moguće pronaći

    što ja radim?

  18.   Alf dijo

    Puno vam hvala, to je jedan od programa koji sam koristio u sustavu Windows i želio sam ga imati u Linuxu

  19.   Oscar dijo

    Hvala Chemabs i Alejandro! Savršeno uz Ubuntu 17.10
    sudo apt instalirajte snapd
    snap pronaći acestream
    sudo snap instalirati acestreamplayer
    I to je to!
    Nevjerojatna stvar je da odete na službenu web stranicu, a oni vam pošalju post na svom forumu iz 2014. godine! I u kojem spominju samo do Ubuntu 13.04!

  20.   Marco Barria dijo

    dobro, kao što su rekli u prethodnim komentarima, savršeno radi sa snapd u archu:

    sudo pacman -S snapd
    sudo systemctl omogućiti snapd.socket
    ponovno
    sudo snap instalirati acestreamplayer
    ponovno

    i spremno:

  21.   mchavez dijo

    bok, i postoji li način da instalirate ace stream bez potrebe da budete programer ... kao što se to radi s Windowsima